Search Results for

Show / Hide Table of Contents

# Class SdkConfigSnapshot

Data container for readable properties of ISdkProxy.

##### Inheritance

object
SdkConfigSnapshot

##### Implements

IEquatable<SdkConfigSnapshot>
IEquatable<SdkConfig>

##### Inherited Members

object.Equals(object, object)
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public class SdkConfigSnapshot : IEquatable<SdkConfigSnapshot>, IEquatable<SdkConfig>

##### Remarks

To simplify logging the state.

### Constructors

#### SdkConfigSnapshot(ISdkProxy)

Collects all readable properties from `sdkProxy`.

##### Declaration

    public SdkConfigSnapshot(ISdkProxy sdkProxy)

##### Parameters

Type | Name | Description
--- | --- | ---
ISdkProxy | sdkProxy | Proxy to get properties from.

### Fields

#### adRequestTimeoutSeconds

Gets or sets timeout for creative requests.

##### Declaration

    public double adRequestTimeoutSeconds

##### Field Value

Type | Description
--- | ---
double | The time interval allowed for a creative to load before it is considered a failure.

##### Remarks

In seconds

##### See Also

AdRequestTimeout

#### adRequestTimeoutSecondsPreRenderContent

Gets or sets timeout for video and interstitial creatves.

##### Declaration

    public double adRequestTimeoutSecondsPreRenderContent

##### Field Value

Type | Description
--- | ---
double | The time interval allowed for video and interstitial creatives to load.

##### Remarks

In seconds

##### See Also

AdRequestTimeoutPreRenderContent

#### assignNativeAssetID

Gets or sets whether the asset ID for native ads should be manually assigned.

##### Declaration

    public bool assignNativeAssetID

##### Field Value

Type | Description
--- | ---
bool | `true` if IDs should be assigned automatically, `false` if manually.

##### See Also

AssignNativeAssetID

#### debugRequests

Gets or sets debug mode for requests.

##### Declaration

    public bool debugRequests

##### Field Value

Type | Description
--- | ---
bool | `true` if debug mode is enabled, `false` otherwise

##### See Also

DebugRequests

#### externalUserIds

Gets or sets external IDs of the user.

##### Declaration

    public List<ExternalUserID> externalUserIds

##### Field Value

Type | Description
--- | ---
List<ExternalUserID> | External IDs of the user that could be used for ad targeting.

##### Remarks

See https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md

##### See Also

ExternalUserID
ExternalUserIds
ExternalUserIds

#### logLevel

Gets or sets the log level for native library.

##### Declaration

    public LogLevel logLevel

##### Field Value

Type | Description
--- | ---
LogLevel | The desired verbosity of the logs.

##### See Also

LogLevel

#### omSdkVersion

Gets the OM SDK version.

##### Declaration

    public string? omSdkVersion

##### Field Value

Type | Description
--- | ---
string | The version of native OM SDK library.

##### See Also

OmSdkVersion

#### sdkVersion

Gets the SDK version.

##### Declaration

    public string? sdkVersion

##### Field Value

Type | Description
--- | ---
string | The version of native SDK library.

##### See Also

SdkVersion

#### timeoutSeconds

Gets or sets request timeout.

##### Declaration

    public double timeoutSeconds

##### Field Value

Type | Description
--- | ---
double | The timeout for ad requests.

##### Remarks

In seconds

##### See Also

Timeout

### Methods

#### Equals(SdkConfig)

Indicates whether the current object is equal to another object of the same type.

##### Declaration

    public bool Equals(SdkConfig other)

##### Parameters

Type | Name | Description
--- | --- | ---
SdkConfig | other | An object to compare with this object.

##### Returns

Type | Description
--- | ---
bool | true if the current object is equal to the `other` parameter; otherwise, false.

#### Equals(SdkConfigSnapshot)

Indicates whether the current object is equal to another object of the same type.

##### Declaration

    public bool Equals(SdkConfigSnapshot other)

##### Parameters

Type | Name | Description
--- | --- | ---
SdkConfigSnapshot | other | An object to compare with this object.

##### Returns

Type | Description
--- | ---
bool | true if the current object is equal to the `other` parameter; otherwise, false.

#### Equals(object?)

Determines whether the specified object is equal to the current object.

##### Declaration

    public override bool Equals(object? obj)

##### Parameters

Type | Name | Description
--- | --- | ---
object | obj | The object to compare with the current object.

##### Returns

Type | Description
--- | ---
bool | true if the specified object is equal to the current object; otherwise, false.

##### Overrides

object.Equals(object)

#### GetHashCode()

Serves as the default hash function.

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
int | A hash code for the current object.

##### Overrides

object.GetHashCode()

#### UnequalFields(SdkConfig, string[]?)

Searches for value differences between read and written configs.

##### Declaration

    public IEnumerable<string> UnequalFields(SdkConfig other, string[]? fieldsToIgnore = null)

##### Parameters

Type | Name | Description
--- | --- | ---
SdkConfig | other | Reference config for comparing the snapshot with.
string[] | fieldsToIgnore | What fields should not be returned even when values differ.

##### Returns

Type | Description
--- | ---
IEnumerable<string> | Field (property) names. Occasionally with additional info.

### Implements

IEquatable<T>
IEquatable<T>